0

I need to install Xcode 4.6.2 on Mountain Lion 10.8.5. I got the dimg file from developer.apple.com, and ran it to install. This appeared to work, but when I click the icon in Finder, I get a dialog to install "Device Support." When I click Install, I get a message "An unknown error occurred. See the install log for more details." There is no way to make progress and no relevant message in the log. Please note, I have admin privileges while I do all this.

I have searched this site for similar questions, but all I found was a very similar (identical) problem with Xcode 4.6.2 and Lion 10.7.5 - but there was no answer. (I know that this version of Xcode does work with OS X 10.8.2, so I don't think compatibility is a problem here.

1

I had a similar problem. I was installing 4.60 on OSX 10.9.5 using Parallels. I followed the answer to the question found here: https://discussions.apple.com/thread/3863980?start=0&tstart=0

That fixed it.

0

Change date to something in 2014 and it should go fine, an issue with expired cert

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .